#include "SidebarAdd.h"


SidebarAdd::SidebarAdd(EditManager *editor) {
  this->editor = editor;
  
  sidebar = gtk_vbox_new(FALSE, 0);
  g_object_ref_sink(G_OBJECT(sidebar));
  
  GtkWidget *labelRoomInfo = gtk_label_new(NULL);
  gtk_label_set_markup(GTK_LABEL(labelRoomInfo), "<b>Add room</b>");
  gtk_misc_set_alignment(GTK_MISC(labelRoomInfo), 0.0, 0.5);
  gtk_box_pack_start(GTK_BOX(sidebar), labelRoomInfo, FALSE, FALSE, 5);
  
  gtk_widget_show_all(sidebar);
}

SidebarAdd::~SidebarAdd() {
  g_object_unref(G_OBJECT(sidebar));
}

GtkWidget* SidebarAdd::getWidget() {
  return sidebar;
}
