#ifndef OBJECT_H_
#define OBJECT_H_

#include <cstring>


class Object {
  public:
    virtual ~Object() {}
    
    virtual const char* getType() const = 0;
    
    bool isOfType(const char *type) const {
      return (std::strcmp(getType(), type) == 0);
    }
};

#endif /*OBJECT_H_*/
