#ifndef PLAYERSTART_H_
#define PLAYERSTART_H_

#include "LevelObject.h"
#include "Vertex3d.h"


class PlayerStart : public Vertex3d, public LevelObject {
  public:
    virtual bool hit(const Vertex &v) const {
      return (v.distanceSq(Vertex(getX(), getZ())) < 0.09);
    }
    
    virtual int getPriority() const {return 1;}
    
    virtual const char* getType() const {
      return "PlayerStart";
    }
};

#endif /*PLAYERSTART_H_*/
