#include <gtk/gtk.h>
#include <gtk/gtkgl.h>
#include "WindowManager.h"


int main(int argc, char *argv[]) {
  gtk_init(&argc, &argv);
  gtk_gl_init(&argc, &argv);
  
  GdkGLConfig *glconfig = gdk_gl_config_new_by_mode((GdkGLConfigMode)(GDK_GL_MODE_RGB | GDK_GL_MODE_DOUBLE));
  if(!glconfig) glconfig = gdk_gl_config_new_by_mode(GDK_GL_MODE_RGB);
  if(!glconfig) {
    g_print("*** No appropriate OpenGL-capable visual found.\n");
    return 1;
  }
  
  WindowManager windowManager(glconfig);
  
  windowManager.run();
  
  return 0;
}
